
Redmine - Defect #17722

Plugin update check not working if redmine is viewed over https

2014-08-21 21:13 - Philip Schiffer

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version: 2.6.2   

Resolution: Fixed Affected version: 2.5.2

Description

Chrome silently blocks any request to insecure sites:

[blocked] The page at 'https://<servername>/admin/plugins' was loaded over HTTPS, but ran insecure

 content from 'http://www.redmine.org/plugins/check_updates?<plugin info>': this content should al

so be loaded over HTTPS.

This causes breaks the plugin update checker. redmine.org should be accessible over https and the check should use the secure site

if https is selected in the redmine settings. I'd also like to note that redmine.org is transmitting username and password unencrypted

which is really bad!

Associated revisions

Revision 14014 - 2015-02-15 17:53 - Jean-Philippe Lang

Check plugins updates using https (#17722).

Revision 14018 - 2015-02-18 12:29 - Jean-Philippe Lang

Merged r14014 (#17722).

History

#1 - 2014-10-21 11:12 - Gundolf Dampf

This happens in Firefox as well. Both browsers block the plugin check silently when your Redmine installation uses HTTPS.

#2 - 2014-11-11 09:59 - Jean-Philippe Lang

- Category changed from Security to Website (redmine.org)

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

As of today, www.redmine.org is available via HTTPS, this should fix this problem.

#3 - 2014-11-12 04:04 - Mischa The Evil

:thumbsup:

#4 - 2015-01-13 12:38 - Florian Kaiser

- File redmine-1.6.1-update_check_https.patch added

This is still unfixed in Redmine 2.6.1 since it still sends the request using http://

I recommend using an protocol relative url so it chooses automatically between http and https depending on what is used for Redmine.

http://www.redmine.org/projects/redmine/repository/entry/tags/2.6.1/app/views/admin/plugins.html.erb#L28

#5 - 2015-01-13 13:39 - Toshi MARUYAMA

- Status changed from Closed to New

#6 - 2015-01-13 13:44 - Toshi MARUYAMA

2025-05-17 1/2

http://www.redmine.org
http://www.redmine.org/projects/redmine/repository/entry/tags/2.6.1/app/views/admin/plugins.html.erb#L28


- Target version set to 2.6.2

#7 - 2015-01-20 03:44 - Toshi MARUYAMA

- Resolution deleted (Fixed)

#8 - 2015-02-15 17:54 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

Request changed to https in r14014.

#9 - 2015-02-18 12:30 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

redmine-1.6.1-update_check_https.patch 413 Bytes 2015-01-13 Florian Kaiser
